# ╭──────╮
# │ test │
# ╰──────╯
# * code
# * doc

rwx_test() {
	rwx_test_code
	rwx_test_doc
}

# ╭──────┬──────╮
# │ test │ code │
# ╰──────┴──────╯

rwx_test_code() {
	local items
	set \
		"awk" \
		"constants" \
		"variables" \
		"functions" \
		"aliases" \
		"aliases_functions" \
		"commands" \
		"commands_functions"
	rwx_code
	for items in "${@}"; do
		echo
		"rwx_code_${items}"
	done
}

# ╭──────┬─────╮
# │ test │ doc │
# ╰──────┴─────╯

rwx_test_doc() {
	local item
	set \
		"main" \
		"alias/git" \
		\
		"RWX_MAIN_MODULE" \
		\
		"_rwx_code" \
		\
		"rwx_main_cache" \
		\
		"alias/batcat" \
		"b" \
		\
		"rwx_install"
	for item in "${@}"; do
		echo
		rwx_code_doc "${item}"
	done
}
