# list files

# list colors
# * lighter blue for directories
export LS_COLORS="\
di=0;94\
"

# list current directory’s entries
#= l
a__ls() {
	ls \
		--all \
		--color \
		-l \
		-p \
		--time-style "+" \
		"${@}"
}

# list timestamps
#= lt
a__ls_time() {
	a__ls \
		--time-style "+%Y%m%d-%H%M%S%-:::z" \
		"${@}"
}

# list timestamps recent last
#= ltr
a__ls_time_reverse() {
	a__ls_time \
		--reverse \
		-t \
		"${@}"
}
