# functions to handle tar

#= tc
a__tar_create() {
	a__tar_verbose \
		--create \
		--auto-compress \
		--file \
		"${@}"
}

#= tl
a__tar_list() {
	a__tar_verbose \
		--list \
		--file \
		"${@}"
}

#= tv
a__tar_verbose() {
	tar \
		--verbose \
		"${@}"
}

#= tx
a__tar_xtract() {
	a__tar_verbose \
		--extract \
		--file \
		"${@}"
}
